package com.ssm.manage.entity;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.*;

@Table(name = "refund_recharge")
public class RefundRecharge implements Serializable {

    @Transient
    @Getter
    @Setter
    private Date auditDate;

    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 退款单据号
     */
    @Column(name = "refund_num")
    private String refundNum;

    /**
     * 退款单据时间
     */
    @Column(name = "refund_date")
    private Date refundDate;

    /**
     * 门店编码
     */
    @Column(name = "store_id")
    private Long storeId;

    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;

    /**
     * 会员编码
     */
    @Column(name = "member_id")
    private Long memberId;

    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;

    /**
     * 会员身份证号
     */
    @Column(name = "member_identity_card")
    private String memberIdentityCard;

    /**
     * 手机
     */
    @Column(name = "mobile_phone")
    private String mobilePhone;

    /**
     * 会员卡
     */
    private String card;

    /**
     * 卡充值单据号
     */
    @Column(name = "recharge_num")
    private String rechargeNum;

    /**
     * 充值类别ID
     */
    @Column(name = "recharge_type_id")
    private Long rechargeTypeId;

    /**
     * 充值类别名称
     */
    @Column(name = "recharge_type_name")
    private String rechargeTypeName;

    /**
     * 标准充值金额
     */
    @Column(name = "card_recharge_money")
    private BigDecimal cardRechargeMoney;

    /**
     * 账户剩余金额
     */
    @Column(name = "card_rest_money")
    private BigDecimal cardRestMoney;

    /**
     * 赠送卡赠送金额
     */
    @Column(name = "card_gift_money")
    private BigDecimal cardGiftMoney;

    /**
     * 类别 1:折扣卡类型/0:赠送卡类型
     */
    private Integer type;

    /**
     * 享受优惠
     */
    private BigDecimal discount;

    /**
     * 最近消费时间
     */
    @Column(name = "last_consume_time")
    private Date lastConsumeTime;

    /**
     * 账户可用金额
     */
    @Column(name = "card_consume_money")
    private BigDecimal cardConsumeMoney;

    /**
     * 赠送卡可用金额
     */
    @Column(name = "gift_consume_money")
    private BigDecimal giftConsumeMoney;

    /**
     * 充值退款金额
     */
    @Column(name = "rec_refund_money")
    private BigDecimal recRefundMoney;

    /**
     * 充值赔偿金额
     */
    @Column(name = "rec_compensation")
    private BigDecimal recCompensation;

    /**
     * 充值账户ID
     */
    @Column(name = "rec_account_id")
    private Long recAccountId;

    /**
     * 提成比率
     */
    @Column(name = "type_ratio")
    private BigDecimal typeRatio;

    /**
     * 销售员1水牌号
     */
    @Column(name = "sale_one_number")
    private String saleOneNumber;

    /**
     * 销售员2水牌号
     */
    @Column(name = "sale_two_number")
    private String saleTwoNumber;

    /**
     * 销售员3水牌号
     */
    @Column(name = "sale_three_number")
    private String saleThreeNumber;

    /**
     * 销售员4水牌号
     */
    @Column(name = "sale_four_number")
    private String saleFourNumber;

    /**
     * 销售员1编码
     */
    @Column(name = "sale_one_staff_id")
    private Long saleOneStaffId;

    /**
     * 销售员2编码
     */
    @Column(name = "sale_two_staff_id")
    private Long saleTwoStaffId;

    /**
     * 销售员3编码
     */
    @Column(name = "sale_three_staff_id")
    private Long saleThreeStaffId;

    /**
     * 销售员4编码
     */
    @Column(name = "sale_four_staff_id")
    private Long saleFourStaffId;

    /**
     * 销售员1名称
     */
    @Column(name = "sale_one_staff_name")
    private String saleOneStaffName;

    /**
     * 销售员2名称
     */
    @Column(name = "sale_two_staff_name")
    private String saleTwoStaffName;

    /**
     * 销售员3名称
     */
    @Column(name = "sale_three_staff_name")
    private String saleThreeStaffName;

    /**
     * 销售员4名称
     */
    @Column(name = "sale_four_staff_name")
    private String saleFourStaffName;

    /**
     * 销售员1身份证号
     */
    @Column(name = "sale_one_identity")
    private String saleOneIdentity;

    /**
     * 销售员2身份证号
     */
    @Column(name = "sale_two_identity")
    private String saleTwoIdentity;

    /**
     * 销售员3身份证号
     */
    @Column(name = "sale_three_identity")
    private String saleThreeIdentity;

    /**
     * 销售员4身份证号
     */
    @Column(name = "sale_four_identity")
    private String saleFourIdentity;

    /**
     * 销售员1占比
     */
    @Column(name = "sale_one_ratio")
    private BigDecimal saleOneRatio;

    /**
     * 销售员2占比
     */
    @Column(name = "sale_two_ratio")
    private BigDecimal saleTwoRatio;

    /**
     * 销售员3占比
     */
    @Column(name = "sale_three_ratio")
    private BigDecimal saleThreeRatio;

    /**
     * 销售员4占比
     */
    @Column(name = "sale_four_ratio")
    private BigDecimal saleFourRatio;

    /**
     * 销售员1业绩
     */
    @Column(name = "sale_one_achievement_amount")
    private BigDecimal saleOneAchievementAmount;

    /**
     * 销售员2业绩
     */
    @Column(name = "sale_two_achievement_amount")
    private BigDecimal saleTwoAchievementAmount;

    /**
     * 销售员3业绩
     */
    @Column(name = "sale_three_achievement_amount")
    private BigDecimal saleThreeAchievementAmount;

    /**
     * 销售员4业绩
     */
    @Column(name = "sale_four_achievement_amount")
    private BigDecimal saleFourAchievementAmount;

    /**
     * 销售员1提成
     */
    @Column(name = "sale_one_commission_amount")
    private BigDecimal saleOneCommissionAmount;

    /**
     * 销售员2提成
     */
    @Column(name = "sale_two_commission_amount")
    private BigDecimal saleTwoCommissionAmount;

    /**
     * 销售员3提成
     */
    @Column(name = "sale_three_commission_amount")
    private BigDecimal saleThreeCommissionAmount;

    /**
     * 销售员4提成
     */
    @Column(name = "sale_four_commission_amount")
    private BigDecimal saleFourCommissionAmount;

    /**
     * 现付销售业绩
     */
    @Column(name = "achievement_amount")
    private BigDecimal achievementAmount;

    /**
     * 现付销售提成
     */
    @Column(name = "commission_amount")
    private BigDecimal commissionAmount;

    /**
     * 门店高管编码
     */
    @Column(name = "manage_staff_id")
    private Long manageStaffId;

    /**
     * 门店高管名称
     */
    @Column(name = "manage_staff_name")
    private String manageStaffName;

    /**
     * 门店高管身份证号
     */
    @Column(name = "manage_identity")
    private String manageIdentity;

    /**
     * 门店高管水牌号
     */
    @Column(name = "manage_number")
    private String manageNumber;
    /**
     * 赠送退款金额
     */
    @Column(name = "refund_gift_money")
    private BigDecimal refundGiftMoney;

    /**
     * 0=自动按充值的单据扣除，1=手工录入扣除，2=按充值单比例扣除
     */
    @Column(name = "refund_type")
    private Integer refundType;


    /**
     * 申请退款金额
     */
    @Column(name = "refund_amount")
    private BigDecimal refundAmount;


    /**
     * 赠送申请退款金额
     */
    @Column(name = "refund_gift_amount")
    private BigDecimal refundGiftAmount;




    /**
     * 第五充值人水牌号
     */
    @Column(name = "sale_five_number")
    private String saleFiveNumber;

    /**
     * 第五充值人编码（来源于员工档案）
     */
    @Column(name = "sale_five_staff_id")
    private Long saleFiveStaffId;

    /**
     * 第五充值人名称（来源于员工档案）
     */
    @Column(name = "sale_five_staff_name")
    private String saleFiveStaffName;

    /**
     * 第五充值人占比
     */
    @Column(name = "sale_five_ratio")
    private BigDecimal saleFiveRatio;

    /**
     * 第五充值会业绩
     */
    @Column(name = "sale_five_achievement_amount")
    private BigDecimal saleFiveAchievementAmount;

    /**
     * 第五充值人提成
     */
    @Column(name = "sale_Five_commission_amount")
    private BigDecimal saleFiveCommissionAmount;

    /**
     * 第五充值人身份证号
     */
    @Column(name = "sale_Five_identity")
    private String saleFiveIdentity;


//____________
    /**
     * 第六充值人水牌号
     */
    @Column(name = "sale_six_number")
    private String saleSixNumber;

    /**
     * 第六充值人编码（来源于员工档案）
     */
    @Column(name = "sale_six_staff_id")
    private Long saleSixStaffId;

    /**
     * 第六充值人名称（来源于员工档案）
     */
    @Column(name = "sale_six_staff_name")
    private String saleSixStaffName;

    /**
     * 第六充值人占比
     */
    @Column(name = "sale_six_ratio")
    private BigDecimal saleSixRatio;

    /**
     * 第六充值会业绩
     */
    @Column(name = "sale_six_achievement_amount")
    private BigDecimal saleSixAchievementAmount;

    /**
     * 第六充值人提成
     */
    @Column(name = "sale_six_commission_amount")
    private BigDecimal saleSixCommissionAmount;

    /**
     * 第六充值人身份证号
     */
    @Column(name = "sale_six_identity")
    private String saleSixIdentity;



//__________________

    /**
     * 第七充值人水牌号
     */
    @Column(name = "sale_seven_number")
    private String saleSevenNumber;

    /**
     * 第七充值人编码（来源于员工档案）
     */
    @Column(name = "sale_seven_staff_id")
    private Long saleSevenStaffId;

    /**
     * 第七充值人名称（来源于员工档案）
     */
    @Column(name = "sale_seven_staff_name")
    private String saleSevenStaffName;

    /**
     * 第七充值人占比
     */
    @Column(name = "sale_seven_ratio")
    private BigDecimal saleSevenRatio;

    /**
     * 第七充值会业绩
     */
    @Column(name = "sale_seven_achievement_amount")
    private BigDecimal saleSevenAchievementAmount;

    /**
     * 第七充值人提成
     */
    @Column(name = "sale_seven_commission_amount")
    private BigDecimal saleSevenCommissionAmount;

    /**
     * 第七充值人身份证号
     */
    @Column(name = "sale_seven_identity")
    private String saleSevenIdentity;


    //_________________
    /**
     * 第八充值人水牌号
     */
    @Column(name = "sale_eight_number")
    private String saleEightNumber;

    /**
     * 第八充值人编码（来源于员工档案）
     */
    @Column(name = "sale_eight_staff_id")
    private Long saleEightStaffId;

    /**
     * 第八充值人名称（来源于员工档案）
     */
    @Column(name = "sale_eight_staff_name")
    private String saleEightStaffName;

    /**
     * 第八充值人占比
     */
    @Column(name = "sale_eight_ratio")
    private BigDecimal saleEightRatio;

    /**
     * 第八充值会业绩
     */
    @Column(name = "sale_eight_achievement_amount")
    private BigDecimal saleEightAchievementAmount;

    /**
     * 第八充值人提成
     */
    @Column(name = "sale_eight_commission_amount")
    private BigDecimal saleEightCommissionAmount;

    /**
     * 第八充值人身份证号
     */
    @Column(name = "sale_eight_identity")
    private String saleEightIdentity;



    public void setSaleFiveStaffId(Long saleFiveStaffId) {
        this.saleFiveStaffId = saleFiveStaffId;
    }

    public void setSaleFiveStaffName(String saleFiveStaffName) {
        this.saleFiveStaffName = saleFiveStaffName;
    }

    public void setSaleFiveRatio(BigDecimal saleFiveRatio) {
        this.saleFiveRatio = saleFiveRatio;
    }

    public void setSaleFiveAchievementAmount(BigDecimal saleFiveAchievementAmount) {
        this.saleFiveAchievementAmount = saleFiveAchievementAmount;
    }

    public void setSaleFiveCommissionAmount(BigDecimal saleFiveCommissionAmount) {
        this.saleFiveCommissionAmount = saleFiveCommissionAmount;
    }



    public void setSaleSixStaffId(Long saleSixStaffId) {
        this.saleSixStaffId = saleSixStaffId;
    }

    public void setSaleSixStaffName(String saleSixStaffName) {
        this.saleSixStaffName = saleSixStaffName;
    }

    public void setSaleSixRatio(BigDecimal saleSixRatio) {
        this.saleSixRatio = saleSixRatio;
    }

    public void setSaleSixAchievementAmount(BigDecimal saleSixAchievementAmount) {
        this.saleSixAchievementAmount = saleSixAchievementAmount;
    }

    public void setSaleSixCommissionAmount(BigDecimal saleSixCommissionAmount) {
        this.saleSixCommissionAmount = saleSixCommissionAmount;
    }


    public void setSaleSevenStaffId(Long saleSevenStaffId) {
        this.saleSevenStaffId = saleSevenStaffId;
    }

    public void setSaleSevenStaffName(String saleSevenStaffName) {
        this.saleSevenStaffName = saleSevenStaffName;
    }

    public void setSaleSevenRatio(BigDecimal saleSevenRatio) {
        this.saleSevenRatio = saleSevenRatio;
    }

    public void setSaleSevenAchievementAmount(BigDecimal saleSevenAchievementAmount) {
        this.saleSevenAchievementAmount = saleSevenAchievementAmount;
    }

    public void setSaleSevenCommissionAmount(BigDecimal saleSevenCommissionAmount) {
        this.saleSevenCommissionAmount = saleSevenCommissionAmount;
    }


    public void setSaleEightStaffId(Long saleEightStaffId) {
        this.saleEightStaffId = saleEightStaffId;
    }

    public void setSaleEightStaffName(String saleEightStaffName) {
        this.saleEightStaffName = saleEightStaffName;
    }

    public void setSaleEightRatio(BigDecimal saleEightRatio) {
        this.saleEightRatio = saleEightRatio;
    }

    public void setSaleEightAchievementAmount(BigDecimal saleEightAchievementAmount) {
        this.saleEightAchievementAmount = saleEightAchievementAmount;
    }

    public void setSaleEightCommissionAmount(BigDecimal saleEightCommissionAmount) {
        this.saleEightCommissionAmount = saleEightCommissionAmount;
    }


    public Long getSaleFiveStaffId() {
        return saleFiveStaffId;
    }

    public String getSaleFiveStaffName() {
        return saleFiveStaffName;
    }

    public BigDecimal getSaleFiveRatio() {
        return saleFiveRatio;
    }

    public BigDecimal getSaleFiveAchievementAmount() {
        return saleFiveAchievementAmount;
    }

    public BigDecimal getSaleFiveCommissionAmount() {
        return saleFiveCommissionAmount;
    }


    public Long getSaleSixStaffId() {
        return saleSixStaffId;
    }

    public String getSaleSixStaffName() {
        return saleSixStaffName;
    }

    public BigDecimal getSaleSixRatio() {
        return saleSixRatio;
    }

    public BigDecimal getSaleSixAchievementAmount() {
        return saleSixAchievementAmount;
    }

    public BigDecimal getSaleSixCommissionAmount() {
        return saleSixCommissionAmount;
    }


    public Long getSaleSevenStaffId() {
        return saleSevenStaffId;
    }

    public String getSaleSevenStaffName() {
        return saleSevenStaffName;
    }

    public BigDecimal getSaleSevenRatio() {
        return saleSevenRatio;
    }

    public BigDecimal getSaleSevenAchievementAmount() {
        return saleSevenAchievementAmount;
    }

    public BigDecimal getSaleSevenCommissionAmount() {
        return saleSevenCommissionAmount;
    }


    public Long getSaleEightStaffId() {
        return saleEightStaffId;
    }

    public String getSaleEightStaffName() {
        return saleEightStaffName;
    }

    public BigDecimal getSaleEightRatio() {
        return saleEightRatio;
    }

    public BigDecimal getSaleEightAchievementAmount() {
        return saleEightAchievementAmount;
    }

    public BigDecimal getSaleEightCommissionAmount() {
        return saleEightCommissionAmount;
    }

    public String getSaleFiveNumber() {
        return saleFiveNumber;
    }

    public void setSaleFiveNumber(String saleFiveNumber) {
        this.saleFiveNumber = saleFiveNumber;
    }

    public String getSaleFiveIdentity() {
        return saleFiveIdentity;
    }

    public void setSaleFiveIdentity(String saleFiveIdentity) {
        this.saleFiveIdentity = saleFiveIdentity;
    }

    public String getSaleSixNumber() {
        return saleSixNumber;
    }

    public void setSaleSixNumber(String saleSixNumber) {
        this.saleSixNumber = saleSixNumber;
    }

    public String getSaleSixIdentity() {
        return saleSixIdentity;
    }

    public void setSaleSixIdentity(String saleSixIdentity) {
        this.saleSixIdentity = saleSixIdentity;
    }

    public String getSaleSevenNumber() {
        return saleSevenNumber;
    }

    public void setSaleSevenNumber(String saleSevenNumber) {
        this.saleSevenNumber = saleSevenNumber;
    }

    public String getSaleSevenIdentity() {
        return saleSevenIdentity;
    }

    public void setSaleSevenIdentity(String saleSevenIdentity) {
        this.saleSevenIdentity = saleSevenIdentity;
    }

    public String getSaleEightNumber() {
        return saleEightNumber;
    }

    public void setSaleEightNumber(String saleEightNumber) {
        this.saleEightNumber = saleEightNumber;
    }

    public String getSaleEightIdentity() {
        return saleEightIdentity;
    }

    public void setSaleEightIdentity(String saleEightIdentity) {
        this.saleEightIdentity = saleEightIdentity;
    }

    public BigDecimal getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(BigDecimal refundAmount) {
        this.refundAmount = refundAmount;
    }

    public BigDecimal getRefundGiftAmount() {
        return refundGiftAmount;
    }

    public void setRefundGiftAmount(BigDecimal refundGiftAmount) {
        this.refundGiftAmount = refundGiftAmount;
    }

    private static final long serialVersionUID = 1L;

    public Integer getRefundType() {
        return refundType;
    }

    public void setRefundType(Integer refundType) {
        this.refundType = refundType;
    }

    public BigDecimal getRefundGiftMoney() {
        return refundGiftMoney;
    }

    public void setRefundGiftMoney(BigDecimal refundGiftMoney) {
        this.refundGiftMoney = refundGiftMoney;
    }

    /**
     * 获取主键ID
     *
     * @return id - 主键ID
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置主键ID
     *
     * @param id 主键ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取退款单据号
     *
     * @return refund_num - 退款单据号
     */
    public String getRefundNum() {
        return refundNum;
    }

    /**
     * 设置退款单据号
     *
     * @param refundNum 退款单据号
     */
    public void setRefundNum(String refundNum) {
        this.refundNum = refundNum;
    }

    /**
     * 获取退款单据时间
     *
     * @return refund_date - 退款单据时间
     */
    public Date getRefundDate() {
        return refundDate;
    }

    /**
     * 设置退款单据时间
     *
     * @param refundDate 退款单据时间
     */
    public void setRefundDate(Date refundDate) {
        this.refundDate = refundDate;
    }

    /**
     * 获取门店编码
     *
     * @return store_id - 门店编码
     */
    public Long getStoreId() {
        return storeId;
    }

    /**
     * 设置门店编码
     *
     * @param storeId 门店编码
     */
    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取门店名称
     *
     * @return store_name - 门店名称
     */
    public String getStoreName() {
        return storeName;
    }

    /**
     * 设置门店名称
     *
     * @param storeName 门店名称
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取会员编码
     *
     * @return member_id - 会员编码
     */
    public Long getMemberId() {
        return memberId;
    }

    /**
     * 设置会员编码
     *
     * @param memberId 会员编码
     */
    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    /**
     * 获取会员名称
     *
     * @return member_name - 会员名称
     */
    public String getMemberName() {
        return memberName;
    }

    /**
     * 设置会员名称
     *
     * @param memberName 会员名称
     */
    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    /**
     * 获取会员身份证号
     *
     * @return member_identity_card - 会员身份证号
     */
    public String getMemberIdentityCard() {
        return memberIdentityCard;
    }

    /**
     * 设置会员身份证号
     *
     * @param memberIdentityCard 会员身份证号
     */
    public void setMemberIdentityCard(String memberIdentityCard) {
        this.memberIdentityCard = memberIdentityCard;
    }

    /**
     * 获取手机
     *
     * @return mobile_phone - 手机
     */
    public String getMobilePhone() {
        return mobilePhone;
    }

    /**
     * 设置手机
     *
     * @param mobilePhone 手机
     */
    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    /**
     * 获取会员卡
     *
     * @return card - 会员卡
     */
    public String getCard() {
        return card;
    }

    /**
     * 设置会员卡
     *
     * @param card 会员卡
     */
    public void setCard(String card) {
        this.card = card;
    }

    /**
     * 获取卡充值单据号
     *
     * @return recharge_num - 卡充值单据号
     */
    public String getRechargeNum() {
        return rechargeNum;
    }

    /**
     * 设置卡充值单据号
     *
     * @param rechargeNum 卡充值单据号
     */
    public void setRechargeNum(String rechargeNum) {
        this.rechargeNum = rechargeNum;
    }

    /**
     * 获取充值类别ID
     *
     * @return recharge_type_id - 充值类别ID
     */
    public Long getRechargeTypeId() {
        return rechargeTypeId;
    }

    /**
     * 设置充值类别ID
     *
     * @param rechargeTypeId 充值类别ID
     */
    public void setRechargeTypeId(Long rechargeTypeId) {
        this.rechargeTypeId = rechargeTypeId;
    }

    /**
     * 获取充值类别名称
     *
     * @return recharge_type_name - 充值类别名称
     */
    public String getRechargeTypeName() {
        return rechargeTypeName;
    }

    /**
     * 设置充值类别名称
     *
     * @param rechargeTypeName 充值类别名称
     */
    public void setRechargeTypeName(String rechargeTypeName) {
        this.rechargeTypeName = rechargeTypeName;
    }

    /**
     * 获取标准充值金额
     *
     * @return card_recharge_money - 标准充值金额
     */
    public BigDecimal getCardRechargeMoney() {
        return cardRechargeMoney;
    }

    /**
     * 设置标准充值金额
     *
     * @param cardRechargeMoney 标准充值金额
     */
    public void setCardRechargeMoney(BigDecimal cardRechargeMoney) {
        this.cardRechargeMoney = cardRechargeMoney;
    }

    /**
     * 获取账户剩余金额
     *
     * @return card_rest_money - 账户剩余金额
     */
    public BigDecimal getCardRestMoney() {
        return cardRestMoney;
    }

    /**
     * 设置账户剩余金额
     *
     * @param cardRestMoney 账户剩余金额
     */
    public void setCardRestMoney(BigDecimal cardRestMoney) {
        this.cardRestMoney = cardRestMoney;
    }

    /**
     * 获取赠送卡赠送金额
     *
     * @return card_gift_money - 赠送卡赠送金额
     */
    public BigDecimal getCardGiftMoney() {
        return cardGiftMoney;
    }

    /**
     * 设置赠送卡赠送金额
     *
     * @param cardGiftMoney 赠送卡赠送金额
     */
    public void setCardGiftMoney(BigDecimal cardGiftMoney) {
        this.cardGiftMoney = cardGiftMoney;
    }

    /**
     * 获取类别 1:折扣卡类型/0:赠送卡类型
     *
     * @return type - 类别 1:折扣卡类型/0:赠送卡类型
     */
    public Integer getType() {
        return type;
    }

    /**
     * 设置类别 1:折扣卡类型/0:赠送卡类型
     *
     * @param type 类别 1:折扣卡类型/0:赠送卡类型
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 获取享受优惠
     *
     * @return discount - 享受优惠
     */
    public BigDecimal getDiscount() {
        return discount;
    }

    /**
     * 设置享受优惠
     *
     * @param discount 享受优惠
     */
    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    /**
     * 获取最近消费时间
     *
     * @return last_consume_time - 最近消费时间
     */
    public Date getLastConsumeTime() {
        return lastConsumeTime;
    }

    /**
     * 设置最近消费时间
     *
     * @param lastConsumeTime 最近消费时间
     */
    public void setLastConsumeTime(Date lastConsumeTime) {
        this.lastConsumeTime = lastConsumeTime;
    }

    /**
     * 获取账户可用金额
     *
     * @return card_consume_money - 账户可用金额
     */
    public BigDecimal getCardConsumeMoney() {
        return cardConsumeMoney;
    }

    /**
     * 设置账户可用金额
     *
     * @param cardConsumeMoney 账户可用金额
     */
    public void setCardConsumeMoney(BigDecimal cardConsumeMoney) {
        this.cardConsumeMoney = cardConsumeMoney;
    }

    /**
     * 获取赠送卡可用金额
     *
     * @return gift_consume_money - 赠送卡可用金额
     */
    public BigDecimal getGiftConsumeMoney() {
        return giftConsumeMoney;
    }

    /**
     * 设置赠送卡可用金额
     *
     * @param giftConsumeMoney 赠送卡可用金额
     */
    public void setGiftConsumeMoney(BigDecimal giftConsumeMoney) {
        this.giftConsumeMoney = giftConsumeMoney;
    }

    /**
     * 获取充值退款金额
     *
     * @return rec_refund_money - 充值退款金额
     */
    public BigDecimal getRecRefundMoney() {
        return recRefundMoney;
    }

    /**
     * 设置充值退款金额
     *
     * @param recRefundMoney 充值退款金额
     */
    public void setRecRefundMoney(BigDecimal recRefundMoney) {
        this.recRefundMoney = recRefundMoney;
    }

    /**
     * 获取充值赔偿金额
     *
     * @return rec_compensation - 充值赔偿金额
     */
    public BigDecimal getRecCompensation() {
        return recCompensation;
    }

    /**
     * 设置充值赔偿金额
     *
     * @param recCompensation 充值赔偿金额
     */
    public void setRecCompensation(BigDecimal recCompensation) {
        this.recCompensation = recCompensation;
    }

    /**
     * 获取充值账户ID
     *
     * @return rec_account_id - 充值账户ID
     */
    public Long getRecAccountId() {
        return recAccountId;
    }

    /**
     * 设置充值账户ID
     *
     * @param recAccountId 充值账户ID
     */
    public void setRecAccountId(Long recAccountId) {
        this.recAccountId = recAccountId;
    }

    /**
     * 获取提成比率
     *
     * @return type_ratio - 提成比率
     */
    public BigDecimal getTypeRatio() {
        return typeRatio;
    }

    /**
     * 设置提成比率
     *
     * @param typeRatio 提成比率
     */
    public void setTypeRatio(BigDecimal typeRatio) {
        this.typeRatio = typeRatio;
    }

    /**
     * 获取销售员1水牌号
     *
     * @return sale_one_number - 销售员1水牌号
     */
    public String getSaleOneNumber() {
        return saleOneNumber;
    }

    /**
     * 设置销售员1水牌号
     *
     * @param saleOneNumber 销售员1水牌号
     */
    public void setSaleOneNumber(String saleOneNumber) {
        this.saleOneNumber = saleOneNumber;
    }

    /**
     * 获取销售员2水牌号
     *
     * @return sale_two_number - 销售员2水牌号
     */
    public String getSaleTwoNumber() {
        return saleTwoNumber;
    }

    /**
     * 设置销售员2水牌号
     *
     * @param saleTwoNumber 销售员2水牌号
     */
    public void setSaleTwoNumber(String saleTwoNumber) {
        this.saleTwoNumber = saleTwoNumber;
    }

    /**
     * 获取销售员3水牌号
     *
     * @return sale_three_number - 销售员3水牌号
     */
    public String getSaleThreeNumber() {
        return saleThreeNumber;
    }

    /**
     * 设置销售员3水牌号
     *
     * @param saleThreeNumber 销售员3水牌号
     */
    public void setSaleThreeNumber(String saleThreeNumber) {
        this.saleThreeNumber = saleThreeNumber;
    }

    /**
     * 获取销售员4水牌号
     *
     * @return sale_four_number - 销售员4水牌号
     */
    public String getSaleFourNumber() {
        return saleFourNumber;
    }

    /**
     * 设置销售员4水牌号
     *
     * @param saleFourNumber 销售员4水牌号
     */
    public void setSaleFourNumber(String saleFourNumber) {
        this.saleFourNumber = saleFourNumber;
    }

    /**
     * 获取销售员1编码
     *
     * @return sale_one_staff_id - 销售员1编码
     */
    public Long getSaleOneStaffId() {
        return saleOneStaffId;
    }

    /**
     * 设置销售员1编码
     *
     * @param saleOneStaffId 销售员1编码
     */
    public void setSaleOneStaffId(Long saleOneStaffId) {
        this.saleOneStaffId = saleOneStaffId;
    }

    /**
     * 获取销售员2编码
     *
     * @return sale_two_staff_id - 销售员2编码
     */
    public Long getSaleTwoStaffId() {
        return saleTwoStaffId;
    }

    /**
     * 设置销售员2编码
     *
     * @param saleTwoStaffId 销售员2编码
     */
    public void setSaleTwoStaffId(Long saleTwoStaffId) {
        this.saleTwoStaffId = saleTwoStaffId;
    }

    /**
     * 获取销售员3编码
     *
     * @return sale_three_staff_id - 销售员3编码
     */
    public Long getSaleThreeStaffId() {
        return saleThreeStaffId;
    }

    /**
     * 设置销售员3编码
     *
     * @param saleThreeStaffId 销售员3编码
     */
    public void setSaleThreeStaffId(Long saleThreeStaffId) {
        this.saleThreeStaffId = saleThreeStaffId;
    }

    /**
     * 获取销售员4编码
     *
     * @return sale_four_staff_id - 销售员4编码
     */
    public Long getSaleFourStaffId() {
        return saleFourStaffId;
    }

    /**
     * 设置销售员4编码
     *
     * @param saleFourStaffId 销售员4编码
     */
    public void setSaleFourStaffId(Long saleFourStaffId) {
        this.saleFourStaffId = saleFourStaffId;
    }

    /**
     * 获取销售员1名称
     *
     * @return sale_one_staff_name - 销售员1名称
     */
    public String getSaleOneStaffName() {
        return saleOneStaffName;
    }

    /**
     * 设置销售员1名称
     *
     * @param saleOneStaffName 销售员1名称
     */
    public void setSaleOneStaffName(String saleOneStaffName) {
        this.saleOneStaffName = saleOneStaffName;
    }

    /**
     * 获取销售员2名称
     *
     * @return sale_two_staff_name - 销售员2名称
     */
    public String getSaleTwoStaffName() {
        return saleTwoStaffName;
    }

    /**
     * 设置销售员2名称
     *
     * @param saleTwoStaffName 销售员2名称
     */
    public void setSaleTwoStaffName(String saleTwoStaffName) {
        this.saleTwoStaffName = saleTwoStaffName;
    }

    /**
     * 获取销售员3名称
     *
     * @return sale_three_staff_name - 销售员3名称
     */
    public String getSaleThreeStaffName() {
        return saleThreeStaffName;
    }

    /**
     * 设置销售员3名称
     *
     * @param saleThreeStaffName 销售员3名称
     */
    public void setSaleThreeStaffName(String saleThreeStaffName) {
        this.saleThreeStaffName = saleThreeStaffName;
    }

    /**
     * 获取销售员4名称
     *
     * @return sale_four_staff_name - 销售员4名称
     */
    public String getSaleFourStaffName() {
        return saleFourStaffName;
    }

    /**
     * 设置销售员4名称
     *
     * @param saleFourStaffName 销售员4名称
     */
    public void setSaleFourStaffName(String saleFourStaffName) {
        this.saleFourStaffName = saleFourStaffName;
    }

    /**
     * 获取销售员1身份证号
     *
     * @return sale_one_identity - 销售员1身份证号
     */
    public String getSaleOneIdentity() {
        return saleOneIdentity;
    }

    /**
     * 设置销售员1身份证号
     *
     * @param saleOneIdentity 销售员1身份证号
     */
    public void setSaleOneIdentity(String saleOneIdentity) {
        this.saleOneIdentity = saleOneIdentity;
    }

    /**
     * 获取销售员2身份证号
     *
     * @return sale_two_identity - 销售员2身份证号
     */
    public String getSaleTwoIdentity() {
        return saleTwoIdentity;
    }

    /**
     * 设置销售员2身份证号
     *
     * @param saleTwoIdentity 销售员2身份证号
     */
    public void setSaleTwoIdentity(String saleTwoIdentity) {
        this.saleTwoIdentity = saleTwoIdentity;
    }

    /**
     * 获取销售员3身份证号
     *
     * @return sale_three_identity - 销售员3身份证号
     */
    public String getSaleThreeIdentity() {
        return saleThreeIdentity;
    }

    /**
     * 设置销售员3身份证号
     *
     * @param saleThreeIdentity 销售员3身份证号
     */
    public void setSaleThreeIdentity(String saleThreeIdentity) {
        this.saleThreeIdentity = saleThreeIdentity;
    }

    /**
     * 获取销售员4身份证号
     *
     * @return sale_four_identity - 销售员4身份证号
     */
    public String getSaleFourIdentity() {
        return saleFourIdentity;
    }

    /**
     * 设置销售员4身份证号
     *
     * @param saleFourIdentity 销售员4身份证号
     */
    public void setSaleFourIdentity(String saleFourIdentity) {
        this.saleFourIdentity = saleFourIdentity;
    }

    /**
     * 获取销售员1占比
     *
     * @return sale_one_ratio - 销售员1占比
     */
    public BigDecimal getSaleOneRatio() {
        return saleOneRatio;
    }

    /**
     * 设置销售员1占比
     *
     * @param saleOneRatio 销售员1占比
     */
    public void setSaleOneRatio(BigDecimal saleOneRatio) {
        this.saleOneRatio = saleOneRatio;
    }

    /**
     * 获取销售员2占比
     *
     * @return sale_two_ratio - 销售员2占比
     */
    public BigDecimal getSaleTwoRatio() {
        return saleTwoRatio;
    }

    /**
     * 设置销售员2占比
     *
     * @param saleTwoRatio 销售员2占比
     */
    public void setSaleTwoRatio(BigDecimal saleTwoRatio) {
        this.saleTwoRatio = saleTwoRatio;
    }

    /**
     * 获取销售员3占比
     *
     * @return sale_three_ratio - 销售员3占比
     */
    public BigDecimal getSaleThreeRatio() {
        return saleThreeRatio;
    }

    /**
     * 设置销售员3占比
     *
     * @param saleThreeRatio 销售员3占比
     */
    public void setSaleThreeRatio(BigDecimal saleThreeRatio) {
        this.saleThreeRatio = saleThreeRatio;
    }

    /**
     * 获取销售员4占比
     *
     * @return sale_four_ratio - 销售员4占比
     */
    public BigDecimal getSaleFourRatio() {
        return saleFourRatio;
    }

    /**
     * 设置销售员4占比
     *
     * @param saleFourRatio 销售员4占比
     */
    public void setSaleFourRatio(BigDecimal saleFourRatio) {
        this.saleFourRatio = saleFourRatio;
    }

    /**
     * 获取销售员1业绩
     *
     * @return sale_one_achievement_amount - 销售员1业绩
     */
    public BigDecimal getSaleOneAchievementAmount() {
        return saleOneAchievementAmount;
    }

    /**
     * 设置销售员1业绩
     *
     * @param saleOneAchievementAmount 销售员1业绩
     */
    public void setSaleOneAchievementAmount(BigDecimal saleOneAchievementAmount) {
        this.saleOneAchievementAmount = saleOneAchievementAmount;
    }

    /**
     * 获取销售员2业绩
     *
     * @return sale_two_achievement_amount - 销售员2业绩
     */
    public BigDecimal getSaleTwoAchievementAmount() {
        return saleTwoAchievementAmount;
    }

    /**
     * 设置销售员2业绩
     *
     * @param saleTwoAchievementAmount 销售员2业绩
     */
    public void setSaleTwoAchievementAmount(BigDecimal saleTwoAchievementAmount) {
        this.saleTwoAchievementAmount = saleTwoAchievementAmount;
    }

    /**
     * 获取销售员3业绩
     *
     * @return sale_three_achievement_amount - 销售员3业绩
     */
    public BigDecimal getSaleThreeAchievementAmount() {
        return saleThreeAchievementAmount;
    }

    /**
     * 设置销售员3业绩
     *
     * @param saleThreeAchievementAmount 销售员3业绩
     */
    public void setSaleThreeAchievementAmount(BigDecimal saleThreeAchievementAmount) {
        this.saleThreeAchievementAmount = saleThreeAchievementAmount;
    }

    /**
     * 获取销售员4业绩
     *
     * @return sale_four_achievement_amount - 销售员4业绩
     */
    public BigDecimal getSaleFourAchievementAmount() {
        return saleFourAchievementAmount;
    }

    /**
     * 设置销售员4业绩
     *
     * @param saleFourAchievementAmount 销售员4业绩
     */
    public void setSaleFourAchievementAmount(BigDecimal saleFourAchievementAmount) {
        this.saleFourAchievementAmount = saleFourAchievementAmount;
    }

    /**
     * 获取销售员1提成
     *
     * @return sale_one_commission_amount - 销售员1提成
     */
    public BigDecimal getSaleOneCommissionAmount() {
        return saleOneCommissionAmount;
    }

    /**
     * 设置销售员1提成
     *
     * @param saleOneCommissionAmount 销售员1提成
     */
    public void setSaleOneCommissionAmount(BigDecimal saleOneCommissionAmount) {
        this.saleOneCommissionAmount = saleOneCommissionAmount;
    }

    /**
     * 获取销售员2提成
     *
     * @return sale_two_commission_amount - 销售员2提成
     */
    public BigDecimal getSaleTwoCommissionAmount() {
        return saleTwoCommissionAmount;
    }

    /**
     * 设置销售员2提成
     *
     * @param saleTwoCommissionAmount 销售员2提成
     */
    public void setSaleTwoCommissionAmount(BigDecimal saleTwoCommissionAmount) {
        this.saleTwoCommissionAmount = saleTwoCommissionAmount;
    }

    /**
     * 获取销售员3提成
     *
     * @return sale_three_commission_amount - 销售员3提成
     */
    public BigDecimal getSaleThreeCommissionAmount() {
        return saleThreeCommissionAmount;
    }

    /**
     * 设置销售员3提成
     *
     * @param saleThreeCommissionAmount 销售员3提成
     */
    public void setSaleThreeCommissionAmount(BigDecimal saleThreeCommissionAmount) {
        this.saleThreeCommissionAmount = saleThreeCommissionAmount;
    }

    /**
     * 获取销售员4提成
     *
     * @return sale_four_commission_amount - 销售员4提成
     */
    public BigDecimal getSaleFourCommissionAmount() {
        return saleFourCommissionAmount;
    }

    /**
     * 设置销售员4提成
     *
     * @param saleFourCommissionAmount 销售员4提成
     */
    public void setSaleFourCommissionAmount(BigDecimal saleFourCommissionAmount) {
        this.saleFourCommissionAmount = saleFourCommissionAmount;
    }

    /**
     * 获取现付销售业绩
     *
     * @return achievement_amount - 现付销售业绩
     */
    public BigDecimal getAchievementAmount() {
        return achievementAmount;
    }

    /**
     * 设置现付销售业绩
     *
     * @param achievementAmount 现付销售业绩
     */
    public void setAchievementAmount(BigDecimal achievementAmount) {
        this.achievementAmount = achievementAmount;
    }

    /**
     * 获取现付销售提成
     *
     * @return commission_amount - 现付销售提成
     */
    public BigDecimal getCommissionAmount() {
        return commissionAmount;
    }

    /**
     * 设置现付销售提成
     *
     * @param commissionAmount 现付销售提成
     */
    public void setCommissionAmount(BigDecimal commissionAmount) {
        this.commissionAmount = commissionAmount;
    }

    /**
     * 获取门店高管编码
     *
     * @return manage_staff_id - 门店高管编码
     */
    public Long getManageStaffId() {
        return manageStaffId;
    }

    /**
     * 设置门店高管编码
     *
     * @param manageStaffId 门店高管编码
     */
    public void setManageStaffId(Long manageStaffId) {
        this.manageStaffId = manageStaffId;
    }

    /**
     * 获取门店高管名称
     *
     * @return manage_staff_name - 门店高管名称
     */
    public String getManageStaffName() {
        return manageStaffName;
    }

    /**
     * 设置门店高管名称
     *
     * @param manageStaffName 门店高管名称
     */
    public void setManageStaffName(String manageStaffName) {
        this.manageStaffName = manageStaffName;
    }

    /**
     * 获取门店高管身份证号
     *
     * @return manage_identity - 门店高管身份证号
     */
    public String getManageIdentity() {
        return manageIdentity;
    }

    /**
     * 设置门店高管身份证号
     *
     * @param manageIdentity 门店高管身份证号
     */
    public void setManageIdentity(String manageIdentity) {
        this.manageIdentity = manageIdentity;
    }

    /**
     * 获取门店高管水牌号
     *
     * @return manage_number - 门店高管水牌号
     */
    public String getManageNumber() {
        return manageNumber;
    }

    /**
     * 设置门店高管水牌号
     *
     * @param manageNumber 门店高管水牌号
     */
    public void setManageNumber(String manageNumber) {
        this.manageNumber = manageNumber;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        RefundRecharge other = (RefundRecharge) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getRefundNum() == null ? other.getRefundNum() == null : this.getRefundNum().equals(other.getRefundNum()))
                && (this.getRefundDate() == null ? other.getRefundDate() == null : this.getRefundDate().equals(other.getRefundDate()))
                && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
                && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
                && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
                && (this.getMemberName() == null ? other.getMemberName() == null : this.getMemberName().equals(other.getMemberName()))
                && (this.getMemberIdentityCard() == null ? other.getMemberIdentityCard() == null : this.getMemberIdentityCard().equals(other.getMemberIdentityCard()))
                && (this.getMobilePhone() == null ? other.getMobilePhone() == null : this.getMobilePhone().equals(other.getMobilePhone()))
                && (this.getCard() == null ? other.getCard() == null : this.getCard().equals(other.getCard()))
                && (this.getRechargeNum() == null ? other.getRechargeNum() == null : this.getRechargeNum().equals(other.getRechargeNum()))
                && (this.getRechargeTypeId() == null ? other.getRechargeTypeId() == null : this.getRechargeTypeId().equals(other.getRechargeTypeId()))
                && (this.getRechargeTypeName() == null ? other.getRechargeTypeName() == null : this.getRechargeTypeName().equals(other.getRechargeTypeName()))
                && (this.getCardRechargeMoney() == null ? other.getCardRechargeMoney() == null : this.getCardRechargeMoney().equals(other.getCardRechargeMoney()))
                && (this.getCardRestMoney() == null ? other.getCardRestMoney() == null : this.getCardRestMoney().equals(other.getCardRestMoney()))
                && (this.getCardGiftMoney() == null ? other.getCardGiftMoney() == null : this.getCardGiftMoney().equals(other.getCardGiftMoney()))
                && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
                && (this.getDiscount() == null ? other.getDiscount() == null : this.getDiscount().equals(other.getDiscount()))
                && (this.getLastConsumeTime() == null ? other.getLastConsumeTime() == null : this.getLastConsumeTime().equals(other.getLastConsumeTime()))
                && (this.getCardConsumeMoney() == null ? other.getCardConsumeMoney() == null : this.getCardConsumeMoney().equals(other.getCardConsumeMoney()))
                && (this.getGiftConsumeMoney() == null ? other.getGiftConsumeMoney() == null : this.getGiftConsumeMoney().equals(other.getGiftConsumeMoney()))
                && (this.getRecRefundMoney() == null ? other.getRecRefundMoney() == null : this.getRecRefundMoney().equals(other.getRecRefundMoney()))
                && (this.getRecCompensation() == null ? other.getRecCompensation() == null : this.getRecCompensation().equals(other.getRecCompensation()))
                && (this.getRecAccountId() == null ? other.getRecAccountId() == null : this.getRecAccountId().equals(other.getRecAccountId()))
                && (this.getTypeRatio() == null ? other.getTypeRatio() == null : this.getTypeRatio().equals(other.getTypeRatio()))
                && (this.getSaleOneNumber() == null ? other.getSaleOneNumber() == null : this.getSaleOneNumber().equals(other.getSaleOneNumber()))
                && (this.getSaleTwoNumber() == null ? other.getSaleTwoNumber() == null : this.getSaleTwoNumber().equals(other.getSaleTwoNumber()))
                && (this.getSaleThreeNumber() == null ? other.getSaleThreeNumber() == null : this.getSaleThreeNumber().equals(other.getSaleThreeNumber()))
                && (this.getSaleFourNumber() == null ? other.getSaleFourNumber() == null : this.getSaleFourNumber().equals(other.getSaleFourNumber()))
                && (this.getSaleOneStaffId() == null ? other.getSaleOneStaffId() == null : this.getSaleOneStaffId().equals(other.getSaleOneStaffId()))
                && (this.getSaleTwoStaffId() == null ? other.getSaleTwoStaffId() == null : this.getSaleTwoStaffId().equals(other.getSaleTwoStaffId()))
                && (this.getSaleThreeStaffId() == null ? other.getSaleThreeStaffId() == null : this.getSaleThreeStaffId().equals(other.getSaleThreeStaffId()))
                && (this.getSaleFourStaffId() == null ? other.getSaleFourStaffId() == null : this.getSaleFourStaffId().equals(other.getSaleFourStaffId()))
                && (this.getSaleOneStaffName() == null ? other.getSaleOneStaffName() == null : this.getSaleOneStaffName().equals(other.getSaleOneStaffName()))
                && (this.getSaleTwoStaffName() == null ? other.getSaleTwoStaffName() == null : this.getSaleTwoStaffName().equals(other.getSaleTwoStaffName()))
                && (this.getSaleThreeStaffName() == null ? other.getSaleThreeStaffName() == null : this.getSaleThreeStaffName().equals(other.getSaleThreeStaffName()))
                && (this.getSaleFourStaffName() == null ? other.getSaleFourStaffName() == null : this.getSaleFourStaffName().equals(other.getSaleFourStaffName()))
                && (this.getSaleOneIdentity() == null ? other.getSaleOneIdentity() == null : this.getSaleOneIdentity().equals(other.getSaleOneIdentity()))
                && (this.getSaleTwoIdentity() == null ? other.getSaleTwoIdentity() == null : this.getSaleTwoIdentity().equals(other.getSaleTwoIdentity()))
                && (this.getSaleThreeIdentity() == null ? other.getSaleThreeIdentity() == null : this.getSaleThreeIdentity().equals(other.getSaleThreeIdentity()))
                && (this.getSaleFourIdentity() == null ? other.getSaleFourIdentity() == null : this.getSaleFourIdentity().equals(other.getSaleFourIdentity()))
                && (this.getSaleOneRatio() == null ? other.getSaleOneRatio() == null : this.getSaleOneRatio().equals(other.getSaleOneRatio()))
                && (this.getSaleTwoRatio() == null ? other.getSaleTwoRatio() == null : this.getSaleTwoRatio().equals(other.getSaleTwoRatio()))
                && (this.getSaleThreeRatio() == null ? other.getSaleThreeRatio() == null : this.getSaleThreeRatio().equals(other.getSaleThreeRatio()))
                && (this.getSaleFourRatio() == null ? other.getSaleFourRatio() == null : this.getSaleFourRatio().equals(other.getSaleFourRatio()))
                && (this.getSaleOneAchievementAmount() == null ? other.getSaleOneAchievementAmount() == null : this.getSaleOneAchievementAmount().equals(other.getSaleOneAchievementAmount()))
                && (this.getSaleTwoAchievementAmount() == null ? other.getSaleTwoAchievementAmount() == null : this.getSaleTwoAchievementAmount().equals(other.getSaleTwoAchievementAmount()))
                && (this.getSaleThreeAchievementAmount() == null ? other.getSaleThreeAchievementAmount() == null : this.getSaleThreeAchievementAmount().equals(other.getSaleThreeAchievementAmount()))
                && (this.getSaleFourAchievementAmount() == null ? other.getSaleFourAchievementAmount() == null : this.getSaleFourAchievementAmount().equals(other.getSaleFourAchievementAmount()))
                && (this.getSaleOneCommissionAmount() == null ? other.getSaleOneCommissionAmount() == null : this.getSaleOneCommissionAmount().equals(other.getSaleOneCommissionAmount()))
                && (this.getSaleTwoCommissionAmount() == null ? other.getSaleTwoCommissionAmount() == null : this.getSaleTwoCommissionAmount().equals(other.getSaleTwoCommissionAmount()))
                && (this.getSaleThreeCommissionAmount() == null ? other.getSaleThreeCommissionAmount() == null : this.getSaleThreeCommissionAmount().equals(other.getSaleThreeCommissionAmount()))
                && (this.getSaleFourCommissionAmount() == null ? other.getSaleFourCommissionAmount() == null : this.getSaleFourCommissionAmount().equals(other.getSaleFourCommissionAmount()))


                && (this.getSaleFiveNumber() == null ? other.getSaleFiveNumber() == null : this.getSaleFiveNumber().equals(other.getSaleFiveNumber()))
                && (this.getSaleFiveStaffId() == null ? other.getSaleFiveStaffId() == null : this.getSaleFiveStaffId().equals(other.getSaleFiveStaffId()))
                && (this.getSaleFiveStaffName() == null ? other.getSaleFiveStaffName() == null : this.getSaleFiveStaffName().equals(other.getSaleFiveStaffName()))
                && (this.getSaleFiveRatio() == null ? other.getSaleFiveRatio() == null : this.getSaleFiveRatio().equals(other.getSaleFiveRatio()))
                && (this.getSaleFiveAchievementAmount() == null ? other.getSaleFiveAchievementAmount() == null : this.getSaleFiveAchievementAmount().equals(other.getSaleFiveAchievementAmount()))
                && (this.getSaleFiveCommissionAmount() == null ? other.getSaleFiveCommissionAmount() == null : this.getSaleFiveCommissionAmount().equals(other.getSaleFiveCommissionAmount()))
                && (this.getSaleFiveIdentity() == null ? other.getSaleFiveIdentity() == null : this.getSaleFiveIdentity().equals(other.getSaleFiveIdentity()))


                && (this.getSaleSixNumber() == null ? other.getSaleSixNumber() == null : this.getSaleSixNumber().equals(other.getSaleSixNumber()))
                && (this.getSaleSixStaffId() == null ? other.getSaleSixStaffId() == null : this.getSaleSixStaffId().equals(other.getSaleSixStaffId()))
                && (this.getSaleSixStaffName() == null ? other.getSaleSixStaffName() == null : this.getSaleSixStaffName().equals(other.getSaleSixStaffName()))
                && (this.getSaleSixRatio() == null ? other.getSaleSixRatio() == null : this.getSaleSixRatio().equals(other.getSaleSixRatio()))
                && (this.getSaleSixAchievementAmount() == null ? other.getSaleSixAchievementAmount() == null : this.getSaleSixAchievementAmount().equals(other.getSaleSixAchievementAmount()))
                && (this.getSaleSixCommissionAmount() == null ? other.getSaleSixCommissionAmount() == null : this.getSaleSixCommissionAmount().equals(other.getSaleSixCommissionAmount()))
                && (this.getSaleSixIdentity() == null ? other.getSaleSixIdentity() == null : this.getSaleSixIdentity().equals(other.getSaleSixIdentity()))


                && (this.getSaleSevenNumber() == null ? other.getSaleSevenNumber() == null : this.getSaleSevenNumber().equals(other.getSaleSevenNumber()))
                && (this.getSaleSevenStaffId() == null ? other.getSaleSevenStaffId() == null : this.getSaleSevenStaffId().equals(other.getSaleSevenStaffId()))
                && (this.getSaleSevenStaffName() == null ? other.getSaleSevenStaffName() == null : this.getSaleSevenStaffName().equals(other.getSaleSevenStaffName()))
                && (this.getSaleSevenRatio() == null ? other.getSaleSevenRatio() == null : this.getSaleSevenRatio().equals(other.getSaleSevenRatio()))
                && (this.getSaleSevenAchievementAmount() == null ? other.getSaleSevenAchievementAmount() == null : this.getSaleSevenAchievementAmount().equals(other.getSaleSevenAchievementAmount()))
                && (this.getSaleSevenCommissionAmount() == null ? other.getSaleSevenCommissionAmount() == null : this.getSaleSevenCommissionAmount().equals(other.getSaleSevenCommissionAmount()))
                && (this.getSaleSevenIdentity() == null ? other.getSaleSevenIdentity() == null : this.getSaleSevenIdentity().equals(other.getSaleSevenIdentity()))


                && (this.getSaleEightNumber() == null ? other.getSaleEightNumber() == null : this.getSaleEightNumber().equals(other.getSaleEightNumber()))
                && (this.getSaleEightStaffId() == null ? other.getSaleEightStaffId() == null : this.getSaleEightStaffId().equals(other.getSaleEightStaffId()))
                && (this.getSaleEightStaffName() == null ? other.getSaleEightStaffName() == null : this.getSaleEightStaffName().equals(other.getSaleEightStaffName()))
                && (this.getSaleEightRatio() == null ? other.getSaleEightRatio() == null : this.getSaleEightRatio().equals(other.getSaleEightRatio()))
                && (this.getSaleEightAchievementAmount() == null ? other.getSaleEightAchievementAmount() == null : this.getSaleEightAchievementAmount().equals(other.getSaleEightAchievementAmount()))
                && (this.getSaleEightCommissionAmount() == null ? other.getSaleEightCommissionAmount() == null : this.getSaleEightCommissionAmount().equals(other.getSaleEightCommissionAmount()))
                && (this.getSaleEightIdentity() == null ? other.getSaleEightIdentity() == null : this.getSaleEightIdentity().equals(other.getSaleEightIdentity()))





                && (this.getAchievementAmount() == null ? other.getAchievementAmount() == null : this.getAchievementAmount().equals(other.getAchievementAmount()))
                && (this.getCommissionAmount() == null ? other.getCommissionAmount() == null : this.getCommissionAmount().equals(other.getCommissionAmount()))
                && (this.getManageStaffId() == null ? other.getManageStaffId() == null : this.getManageStaffId().equals(other.getManageStaffId()))
                && (this.getManageStaffName() == null ? other.getManageStaffName() == null : this.getManageStaffName().equals(other.getManageStaffName()))
                && (this.getManageIdentity() == null ? other.getManageIdentity() == null : this.getManageIdentity().equals(other.getManageIdentity()))
                && (this.getManageNumber() == null ? other.getManageNumber() == null : this.getManageNumber().equals(other.getManageNumber()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getRefundNum() == null) ? 0 : getRefundNum().hashCode());
        result = prime * result + ((getRefundDate() == null) ? 0 : getRefundDate().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getMemberName() == null) ? 0 : getMemberName().hashCode());
        result = prime * result + ((getMemberIdentityCard() == null) ? 0 : getMemberIdentityCard().hashCode());
        result = prime * result + ((getMobilePhone() == null) ? 0 : getMobilePhone().hashCode());
        result = prime * result + ((getCard() == null) ? 0 : getCard().hashCode());
        result = prime * result + ((getRechargeNum() == null) ? 0 : getRechargeNum().hashCode());
        result = prime * result + ((getRechargeTypeId() == null) ? 0 : getRechargeTypeId().hashCode());
        result = prime * result + ((getRechargeTypeName() == null) ? 0 : getRechargeTypeName().hashCode());
        result = prime * result + ((getCardRechargeMoney() == null) ? 0 : getCardRechargeMoney().hashCode());
        result = prime * result + ((getCardRestMoney() == null) ? 0 : getCardRestMoney().hashCode());
        result = prime * result + ((getCardGiftMoney() == null) ? 0 : getCardGiftMoney().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getDiscount() == null) ? 0 : getDiscount().hashCode());
        result = prime * result + ((getLastConsumeTime() == null) ? 0 : getLastConsumeTime().hashCode());
        result = prime * result + ((getCardConsumeMoney() == null) ? 0 : getCardConsumeMoney().hashCode());
        result = prime * result + ((getGiftConsumeMoney() == null) ? 0 : getGiftConsumeMoney().hashCode());
        result = prime * result + ((getRecRefundMoney() == null) ? 0 : getRecRefundMoney().hashCode());
        result = prime * result + ((getRecCompensation() == null) ? 0 : getRecCompensation().hashCode());
        result = prime * result + ((getRecAccountId() == null) ? 0 : getRecAccountId().hashCode());
        result = prime * result + ((getTypeRatio() == null) ? 0 : getTypeRatio().hashCode());
        result = prime * result + ((getSaleOneNumber() == null) ? 0 : getSaleOneNumber().hashCode());
        result = prime * result + ((getSaleTwoNumber() == null) ? 0 : getSaleTwoNumber().hashCode());
        result = prime * result + ((getSaleThreeNumber() == null) ? 0 : getSaleThreeNumber().hashCode());
        result = prime * result + ((getSaleFourNumber() == null) ? 0 : getSaleFourNumber().hashCode());
        result = prime * result + ((getSaleOneStaffId() == null) ? 0 : getSaleOneStaffId().hashCode());
        result = prime * result + ((getSaleTwoStaffId() == null) ? 0 : getSaleTwoStaffId().hashCode());
        result = prime * result + ((getSaleThreeStaffId() == null) ? 0 : getSaleThreeStaffId().hashCode());
        result = prime * result + ((getSaleFourStaffId() == null) ? 0 : getSaleFourStaffId().hashCode());
        result = prime * result + ((getSaleOneStaffName() == null) ? 0 : getSaleOneStaffName().hashCode());
        result = prime * result + ((getSaleTwoStaffName() == null) ? 0 : getSaleTwoStaffName().hashCode());
        result = prime * result + ((getSaleThreeStaffName() == null) ? 0 : getSaleThreeStaffName().hashCode());
        result = prime * result + ((getSaleFourStaffName() == null) ? 0 : getSaleFourStaffName().hashCode());
        result = prime * result + ((getSaleOneIdentity() == null) ? 0 : getSaleOneIdentity().hashCode());
        result = prime * result + ((getSaleTwoIdentity() == null) ? 0 : getSaleTwoIdentity().hashCode());
        result = prime * result + ((getSaleThreeIdentity() == null) ? 0 : getSaleThreeIdentity().hashCode());
        result = prime * result + ((getSaleFourIdentity() == null) ? 0 : getSaleFourIdentity().hashCode());
        result = prime * result + ((getSaleOneRatio() == null) ? 0 : getSaleOneRatio().hashCode());
        result = prime * result + ((getSaleTwoRatio() == null) ? 0 : getSaleTwoRatio().hashCode());
        result = prime * result + ((getSaleThreeRatio() == null) ? 0 : getSaleThreeRatio().hashCode());
        result = prime * result + ((getSaleFourRatio() == null) ? 0 : getSaleFourRatio().hashCode());
        result = prime * result + ((getSaleOneAchievementAmount() == null) ? 0 : getSaleOneAchievementAmount().hashCode());
        result = prime * result + ((getSaleTwoAchievementAmount() == null) ? 0 : getSaleTwoAchievementAmount().hashCode());
        result = prime * result + ((getSaleThreeAchievementAmount() == null) ? 0 : getSaleThreeAchievementAmount().hashCode());
        result = prime * result + ((getSaleFourAchievementAmount() == null) ? 0 : getSaleFourAchievementAmount().hashCode());
        result = prime * result + ((getSaleOneCommissionAmount() == null) ? 0 : getSaleOneCommissionAmount().hashCode());
        result = prime * result + ((getSaleTwoCommissionAmount() == null) ? 0 : getSaleTwoCommissionAmount().hashCode());
        result = prime * result + ((getSaleThreeCommissionAmount() == null) ? 0 : getSaleThreeCommissionAmount().hashCode());
        result = prime * result + ((getSaleFourCommissionAmount() == null) ? 0 : getSaleFourCommissionAmount().hashCode());


        result = prime * result + ((getSaleFiveNumber() == null) ? 0 : getSaleFiveNumber().hashCode());
        result = prime * result + ((getSaleFiveStaffId() == null) ? 0 : getSaleFiveStaffId().hashCode());
        result = prime * result + ((getSaleFiveStaffName() == null) ? 0 : getSaleFiveStaffName().hashCode());
        result = prime * result + ((getSaleFiveRatio() == null) ? 0 : getSaleFiveRatio().hashCode());
        result = prime * result + ((getSaleFiveAchievementAmount() == null) ? 0 : getSaleFiveAchievementAmount().hashCode());
        result = prime * result + ((getSaleFiveCommissionAmount() == null) ? 0 : getSaleFiveCommissionAmount().hashCode());
        result = prime * result + ((getSaleFiveIdentity() == null) ? 0 : getSaleFiveIdentity().hashCode());

        result = prime * result + ((getSaleSixNumber() == null) ? 0 : getSaleSixNumber().hashCode());
        result = prime * result + ((getSaleSixStaffId() == null) ? 0 : getSaleSixStaffId().hashCode());
        result = prime * result + ((getSaleSixStaffName() == null) ? 0 : getSaleSixStaffName().hashCode());
        result = prime * result + ((getSaleSixRatio() == null) ? 0 : getSaleSixRatio().hashCode());
        result = prime * result + ((getSaleSixAchievementAmount() == null) ? 0 : getSaleSixAchievementAmount().hashCode());
        result = prime * result + ((getSaleSixCommissionAmount() == null) ? 0 : getSaleSixCommissionAmount().hashCode());
        result = prime * result + ((getSaleSixIdentity() == null) ? 0 : getSaleSixIdentity().hashCode());

        result = prime * result + ((getSaleSevenNumber() == null) ? 0 : getSaleSevenNumber().hashCode());
        result = prime * result + ((getSaleSevenStaffId() == null) ? 0 : getSaleSevenStaffId().hashCode());
        result = prime * result + ((getSaleSevenStaffName() == null) ? 0 : getSaleSevenStaffName().hashCode());
        result = prime * result + ((getSaleSevenRatio() == null) ? 0 : getSaleSevenRatio().hashCode());
        result = prime * result + ((getSaleSevenAchievementAmount() == null) ? 0 : getSaleSevenAchievementAmount().hashCode());
        result = prime * result + ((getSaleSevenCommissionAmount() == null) ? 0 : getSaleSevenCommissionAmount().hashCode());
        result = prime * result + ((getSaleSevenIdentity() == null) ? 0 : getSaleSevenIdentity().hashCode());


        result = prime * result + ((getSaleEightNumber() == null) ? 0 : getSaleEightNumber().hashCode());
        result = prime * result + ((getSaleEightStaffId() == null) ? 0 : getSaleEightStaffId().hashCode());
        result = prime * result + ((getSaleEightStaffName() == null) ? 0 : getSaleEightStaffName().hashCode());
        result = prime * result + ((getSaleEightRatio() == null) ? 0 : getSaleEightRatio().hashCode());
        result = prime * result + ((getSaleEightAchievementAmount() == null) ? 0 : getSaleEightAchievementAmount().hashCode());
        result = prime * result + ((getSaleEightCommissionAmount() == null) ? 0 : getSaleEightCommissionAmount().hashCode());
        result = prime * result + ((getSaleEightIdentity() == null) ? 0 : getSaleEightIdentity().hashCode());




        result = prime * result + ((getAchievementAmount() == null) ? 0 : getAchievementAmount().hashCode());
        result = prime * result + ((getCommissionAmount() == null) ? 0 : getCommissionAmount().hashCode());
        result = prime * result + ((getManageStaffId() == null) ? 0 : getManageStaffId().hashCode());
        result = prime * result + ((getManageStaffName() == null) ? 0 : getManageStaffName().hashCode());
        result = prime * result + ((getManageIdentity() == null) ? 0 : getManageIdentity().hashCode());
        result = prime * result + ((getManageNumber() == null) ? 0 : getManageNumber().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", refundNum=").append(refundNum);
        sb.append(", refundDate=").append(refundDate);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", memberId=").append(memberId);
        sb.append(", memberName=").append(memberName);
        sb.append(", memberIdentityCard=").append(memberIdentityCard);
        sb.append(", mobilePhone=").append(mobilePhone);
        sb.append(", card=").append(card);
        sb.append(", rechargeNum=").append(rechargeNum);
        sb.append(", rechargeTypeId=").append(rechargeTypeId);
        sb.append(", rechargeTypeName=").append(rechargeTypeName);
        sb.append(", cardRechargeMoney=").append(cardRechargeMoney);
        sb.append(", cardRestMoney=").append(cardRestMoney);
        sb.append(", cardGiftMoney=").append(cardGiftMoney);
        sb.append(", type=").append(type);
        sb.append(", discount=").append(discount);
        sb.append(", lastConsumeTime=").append(lastConsumeTime);
        sb.append(", cardConsumeMoney=").append(cardConsumeMoney);
        sb.append(", giftConsumeMoney=").append(giftConsumeMoney);
        sb.append(", recRefundMoney=").append(recRefundMoney);
        sb.append(", recCompensation=").append(recCompensation);
        sb.append(", recAccountId=").append(recAccountId);
        sb.append(", typeRatio=").append(typeRatio);
        sb.append(", saleOneNumber=").append(saleOneNumber);
        sb.append(", saleTwoNumber=").append(saleTwoNumber);
        sb.append(", saleThreeNumber=").append(saleThreeNumber);
        sb.append(", saleFourNumber=").append(saleFourNumber);
        sb.append(", saleOneStaffId=").append(saleOneStaffId);
        sb.append(", saleTwoStaffId=").append(saleTwoStaffId);
        sb.append(", saleThreeStaffId=").append(saleThreeStaffId);
        sb.append(", saleFourStaffId=").append(saleFourStaffId);
        sb.append(", saleOneStaffName=").append(saleOneStaffName);
        sb.append(", saleTwoStaffName=").append(saleTwoStaffName);
        sb.append(", saleThreeStaffName=").append(saleThreeStaffName);
        sb.append(", saleFourStaffName=").append(saleFourStaffName);
        sb.append(", saleOneIdentity=").append(saleOneIdentity);
        sb.append(", saleTwoIdentity=").append(saleTwoIdentity);
        sb.append(", saleThreeIdentity=").append(saleThreeIdentity);
        sb.append(", saleFourIdentity=").append(saleFourIdentity);
        sb.append(", saleOneRatio=").append(saleOneRatio);
        sb.append(", saleTwoRatio=").append(saleTwoRatio);
        sb.append(", saleThreeRatio=").append(saleThreeRatio);
        sb.append(", saleFourRatio=").append(saleFourRatio);
        sb.append(", saleOneAchievementAmount=").append(saleOneAchievementAmount);
        sb.append(", saleTwoAchievementAmount=").append(saleTwoAchievementAmount);
        sb.append(", saleThreeAchievementAmount=").append(saleThreeAchievementAmount);
        sb.append(", saleFourAchievementAmount=").append(saleFourAchievementAmount);
        sb.append(", saleOneCommissionAmount=").append(saleOneCommissionAmount);
        sb.append(", saleTwoCommissionAmount=").append(saleTwoCommissionAmount);
        sb.append(", saleThreeCommissionAmount=").append(saleThreeCommissionAmount);
        sb.append(", saleFourCommissionAmount=").append(saleFourCommissionAmount);


        sb.append(", brandNumberFive=").append(saleFiveNumber);
        sb.append(", saleFiveStaffId=").append(saleFiveStaffId);
        sb.append(", saleFiveStaffName=").append(saleFiveStaffName);
        sb.append(", saleFiveRatio=").append(saleFiveRatio);
        sb.append(", saleFiveAchievementAmount=").append(saleFiveAchievementAmount);
        sb.append(", saleFiveCommissionAmount=").append(saleFiveCommissionAmount);
        sb.append(", saleFiveIdentityCard=").append(saleFiveIdentity);

        sb.append(", brandNumberSix=").append(saleSixNumber);
        sb.append(", saleSixStaffId=").append(saleSixStaffId);
        sb.append(", saleSixStaffName=").append(saleSixStaffName);
        sb.append(", saleSixRatio=").append(saleSixRatio);
        sb.append(", saleSixAchievementAmount=").append(saleSixAchievementAmount);
        sb.append(", saleSixCommissionAmount=").append(saleSixCommissionAmount);
        sb.append(", saleSixdentityCard=").append(saleSixIdentity);

        sb.append(", brandNumberSeven=").append(saleSevenNumber);
        sb.append(", saleSevenStaffId=").append(saleSevenStaffId);
        sb.append(", saleSevenStaffName=").append(saleSevenStaffName);
        sb.append(", saleSevenRatio=").append(saleSevenRatio);
        sb.append(", saleSevenAchievementAmount=").append(saleSevenAchievementAmount);
        sb.append(", saleSevenCommissionAmount=").append(saleSevenCommissionAmount);
        sb.append(", saleSevenIdentityCard=").append(saleSevenIdentity);

        sb.append(", brandNumberEight=").append(saleEightNumber);
        sb.append(", saleEightStaffId=").append(saleEightStaffId);
        sb.append(", saleEightStaffName=").append(saleEightStaffName);
        sb.append(", saleEightRatio=").append(saleEightRatio);
        sb.append(", saleEightAchievementAmount=").append(saleEightAchievementAmount);
        sb.append(", saleEightCommissionAmount=").append(saleEightCommissionAmount);
        sb.append(", saleEightIdentityCard=").append(saleEightIdentity);




        sb.append(", achievementAmount=").append(achievementAmount);
        sb.append(", commissionAmount=").append(commissionAmount);
        sb.append(", manageStaffId=").append(manageStaffId);
        sb.append(", manageStaffName=").append(manageStaffName);
        sb.append(", manageIdentity=").append(manageIdentity);
        sb.append(", manageNumber=").append(manageNumber);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}